import { AppBar, Box, Button, Divider, Drawer, Grid2, IconButton, List, ListItem, ListItemButton, ListItemIcon, ListItemText, Toolbar, Typography } from "@mui/material";
import { Link, Outlet } from "react-router-dom";
import MenuIcon from '@mui/icons-material/Menu';
import React from "react";
import InboxIcon from '@mui/icons-material/MoveToInbox';
import MailIcon from '@mui/icons-material/Mail';




export default function Layout () {
    // const classes = useStyles();
    // const theme = useTheme();
    const [open, setOpen] = React.useState(false);

    const onMenuClick = (event: MouseEvent): void => {
        const newState = !open;
        console.log(`>> State: ${newState}`);
        setOpen(newState)
    }
    const DrawerList = (
        <Box sx={{ width: 250 }} role="presentation" onClick={onMenuClick}>
          <List>
            {['Inbox', 'Starred', 'Send email', 'Drafts'].map((text, index) => (
              <ListItem key={text} disablePadding>
                <ListItemButton>
                  <ListItemIcon>
                    {index % 2 === 0 ? <InboxIcon /> : <MailIcon />}
                  </ListItemIcon>
                  <ListItemText primary={text} />
                </ListItemButton>
              </ListItem>
            ))}
          </List>
          <Divider />
          <List>
            {['All mail', 'Trash', 'Spam'].map((text, index) => (
                <ListItem key={text} disablePadding>
                    <ListItemButton>
                        <ListItemIcon>
                            {index % 2 === 0 ? <InboxIcon /> : <MailIcon />}
                        </ListItemIcon>
                        <ListItemText primary={text} />
                    </ListItemButton>
                </ListItem>
            ))}
          </List>
        </Box>
      );

    return(
        <Grid2 container>
            <Box sx={{ flexGrow: 12 }}>
                <AppBar position="fixed">
                    <Toolbar>
                    <IconButton
                        size="large"
                        edge="start"
                        color="inherit"
                        aria-label="menu"
                        sx={{ mr: 2 }}
                        onClick={onMenuClick}
                    >
                    <MenuIcon />
                    </IconButton>
                    <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
                        <Link to='/'>Compendium Arcana</Link>
                    </Typography>
                    <Button color="inherit">Login</Button>
                    </Toolbar>
                </AppBar>
                <Drawer variant="persistent" anchor="left" open={open} onClose={onMenuClick}>
                    {DrawerList}
                </Drawer>
            </Box>
                <Box sx={{ flexGrow: 12 }}>
                    <Outlet />
                </Box>
            </Grid2>
    )
}

