import { StrictMode } from 'react'
import { createRoot } from 'react-dom/client'
import './index.css'
import { BrowserRouter, Route, Routes } from 'react-router-dom'
import Layout from './components/layout/Layout.tsx'
import Rules from './components/rules/Rules.tsx'

createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<Layout />} >
          <Route path="/rules" element={<Rules />} />
          {/* <Route path="/bestiary" element={<Bestiary />} />
          <Route path="/artifacts" element={<Artifacts />} />
          <Route path="/loot" element={<Loot />} />
          <Route path="*" element={<NotFound />} /> */}
        </Route>
      </Routes>
    </BrowserRouter>
  </StrictMode>,
)
